package com.liquidnet.service.adam.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.adam.dto.vo.AdamEntersVo;
import com.liquidnet.service.adam.entity.AdamEnters;

import java.util.List;

/**
 * <p>
 * 入场人 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-04-28
 */
public interface IAdamEntersService extends IService<AdamEnters> {
//    List<AdamEnters> queryByUid(String uid);

    void add(AdamEnters info);

//    AdamEnters query(String uid, String entersId);

    void def(String uid, String entersId);

    void edit(AdamEnters info);

    void remove(String uid, String entersId);

    AdamEntersVo queryDefault(String uid);
}
